import { Erc780Options } from './erc780';
export declare class Erc780HdKeyHash2018 {
    private _erc780;
    constructor(ethereumProvider: string, contractAddress: string, privateKey?: string, options?: Erc780Options);
    attestPrivate: (pubExtKey: string, predicate: string, object: string) => Promise<string>;
    attestPublic: (predicate: string, object: string) => Promise<string>;
    revokePrivate: (pubExtKey: string, predicate: string) => Promise<string>;
    revokePublic: (predicate: string) => Promise<string>;
    verify: (attestor: string, subject: string, predicate: string, object: string) => Promise<boolean>;
    readonly address: string;
    ecdsaKoblitzPubKeyFromPubKey: (pubKey: any) => string;
    pubKeyFromPubExtKey: (pubExtKey: string, predicate?: string) => string;
    private _get32BitHash;
    private _hash;
}
export default Erc780HdKeyHash2018;
