import { SsifCreateRequest, SsifSessionRequest, SsifSessionResponse, SsifCreateRequestAnonymous } from './models';
import * as NodeCache from 'node-cache';
export declare class Sessions {
    cache: NodeCache;
    checkperiod: number;
    constructor(sessionTimeout?: number);
    static generateSessionId(): string;
    setSsifCreateRequest(key: string, ssifCreateRequest: SsifCreateRequest | SsifCreateRequestAnonymous): void;
    setSsifSessionRequest(key: string, ssifSessionRequest: SsifSessionRequest): void;
    setSsifSessionResponse(key: string, ssifSessionResponse: SsifSessionResponse): void;
    setPublicExtendedKey(key: string, publicExtendedKey: string): void;
    getSsifCreateRequest(key: string): SsifCreateRequest;
    getSsifSessionRequest(key: string): SsifSessionRequest;
    getSsifSessionResponse(key: string): SsifSessionResponse;
    getPublicExtendedKey(key: string): string;
    deleteSession(key: string): void;
}
export default Sessions;
